> ## Documentation Index
> Fetch the complete documentation index at: https://docs.activeviam.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get stock info



## OpenAPI

````yaml /risk-and-pricing/atoti-risk-services/apis-endpoints/openapi/openapi.mintlify.json post /api/MarketData/GetStockInfo
openapi: 3.0.1
info:
  title: Derivitec Api 1.0
  version: '1.0'
servers:
  - description: Derivitec Server
    url: https://api.riskportal.activeviam.com
security:
  - oauth2: []
  - apikey: []
paths:
  /api/MarketData/GetStockInfo:
    post:
      tags:
        - MarketData
      summary: Get stock info
      operationId: GetStockInfo
      requestBody:
        content:
          application/json-patch+json:
            schema:
              $ref: '#/components/schemas/ApiGetStockInfoRequest'
          application/json:
            schema:
              $ref: '#/components/schemas/ApiGetStockInfoRequest'
          text/json:
            schema:
              $ref: '#/components/schemas/ApiGetStockInfoRequest'
          application/*+json:
            schema:
              $ref: '#/components/schemas/ApiGetStockInfoRequest'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiGetStockInfoResponse'
          description: Success
        '400':
          description: BadRequest
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
      security:
        - oauth2: []
        - apikey: []
components:
  schemas:
    ApiGetStockInfoRequest:
      example:
        identifiers:
          - code: code
            market_identification_code: market_identification_code
            identifier_type: Derivitec
          - code: code
            market_identification_code: market_identification_code
            identifier_type: Derivitec
      properties:
        market_data_environment_name:
          nullable: true
          type: string
        provider_id:
          nullable: true
          type: string
        identifiers:
          items:
            $ref: '#/components/schemas/InstrumentIdentifier'
          nullable: true
          type: array
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.MarketData.ApiGetStockInfoRequest,
              Derivitec.Web.Core
      required:
        - $type
      type: object
    ApiGetStockInfoResponse:
      example:
        stock_info:
          - value:
              country: country
              x_ignite_option_code: x_ignite_option_code
              cusip: cusip
              cik: cik
              country_of_incorporation: country_of_incorporation
              country_of_risk: country_of_risk
              share_class: share_class
              edi_sec_id: edi_sec_id
              bbg_code: bbg_code
              is_listed_primary_issue: true
              reuters_issuer_org_id: reuters_issuer_org_id
              morning_star_industry: morning_star_industry
              morning_star_industry_group: morning_star_industry_group
              ric: ric
              option_metrics_security_id: option_metrics_security_id
              option_metrics_exchange_id: option_metrics_exchange_id
              edi_symbol: edi_symbol
              country_of_domicile: country_of_domicile
              currency: currency
              id: id
              x_ignite_option_file_code: x_ignite_option_file_code
              sector: sector
              region_of_incorporation: region_of_incorporation
              x_ignite_stock_code: x_ignite_stock_code
              voting_rights_per_share: 5.962133916683182
              market_identification_code: market_identification_code
              valoren: valoren
              asset_ratio_against: 0.8008281904610115
              consolidated_id: consolidated_id
              asset_ratio_for: 6.027456183070403
              suspended: true
              issuer_name: issuer_name
              issuer_id: issuer_id
              region_of_risk: region_of_risk
              stock_lag: 1
              name: name
              provider_id: provider_id
              region_of_domicile: region_of_domicile
              isin: isin
            key:
              code: code
              market_identification_code: market_identification_code
              identifier_type: Derivitec
          - value:
              country: country
              x_ignite_option_code: x_ignite_option_code
              cusip: cusip
              cik: cik
              country_of_incorporation: country_of_incorporation
              country_of_risk: country_of_risk
              share_class: share_class
              edi_sec_id: edi_sec_id
              bbg_code: bbg_code
              is_listed_primary_issue: true
              reuters_issuer_org_id: reuters_issuer_org_id
              morning_star_industry: morning_star_industry
              morning_star_industry_group: morning_star_industry_group
              ric: ric
              option_metrics_security_id: option_metrics_security_id
              option_metrics_exchange_id: option_metrics_exchange_id
              edi_symbol: edi_symbol
              country_of_domicile: country_of_domicile
              currency: currency
              id: id
              x_ignite_option_file_code: x_ignite_option_file_code
              sector: sector
              region_of_incorporation: region_of_incorporation
              x_ignite_stock_code: x_ignite_stock_code
              voting_rights_per_share: 5.962133916683182
              market_identification_code: market_identification_code
              valoren: valoren
              asset_ratio_against: 0.8008281904610115
              consolidated_id: consolidated_id
              asset_ratio_for: 6.027456183070403
              suspended: true
              issuer_name: issuer_name
              issuer_id: issuer_id
              region_of_risk: region_of_risk
              stock_lag: 1
              name: name
              provider_id: provider_id
              region_of_domicile: region_of_domicile
              isin: isin
            key:
              code: code
              market_identification_code: market_identification_code
              identifier_type: Derivitec
      properties:
        is_success:
          type: boolean
        error_messages:
          items:
            type: string
          nullable: true
          type: array
        stock_info:
          items:
            $ref: '#/components/schemas/InstrumentIdentifierStockInfoKeyValuePair'
          nullable: true
          type: array
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.MarketData.ApiGetStockInfoResponse,
              Derivitec.Web.Core
      required:
        - $type
      type: object
    InstrumentIdentifier:
      example:
        code: code
        market_identification_code: market_identification_code
        identifier_type: Derivitec
      properties:
        code:
          nullable: true
          type: string
        identifier_type:
          enum:
            - Derivitec
            - Ric
            - Bloomberg
            - Isin
            - Figi
            - Sedol
            - RedCode
            - RedPairCode
            - BloombergYellow
            - XIgniteCode
            - CBondsId
            - EdiSecId
            - EdiSymbol
            - NotSet
          type: string
        market_identification_code:
          nullable: true
          type: string
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.MarketData.InstrumentIdentifier,
              Derivitec.Web.Core
      required:
        - $type
      type: object
    InstrumentIdentifierStockInfoKeyValuePair:
      example:
        value:
          country: country
          x_ignite_option_code: x_ignite_option_code
          cusip: cusip
          cik: cik
          country_of_incorporation: country_of_incorporation
          country_of_risk: country_of_risk
          share_class: share_class
          edi_sec_id: edi_sec_id
          bbg_code: bbg_code
          is_listed_primary_issue: true
          reuters_issuer_org_id: reuters_issuer_org_id
          morning_star_industry: morning_star_industry
          morning_star_industry_group: morning_star_industry_group
          ric: ric
          option_metrics_security_id: option_metrics_security_id
          option_metrics_exchange_id: option_metrics_exchange_id
          edi_symbol: edi_symbol
          country_of_domicile: country_of_domicile
          currency: currency
          id: id
          x_ignite_option_file_code: x_ignite_option_file_code
          sector: sector
          region_of_incorporation: region_of_incorporation
          x_ignite_stock_code: x_ignite_stock_code
          voting_rights_per_share: 5.962133916683182
          market_identification_code: market_identification_code
          valoren: valoren
          asset_ratio_against: 0.8008281904610115
          consolidated_id: consolidated_id
          asset_ratio_for: 6.027456183070403
          suspended: true
          issuer_name: issuer_name
          issuer_id: issuer_id
          region_of_risk: region_of_risk
          stock_lag: 1
          name: name
          provider_id: provider_id
          region_of_domicile: region_of_domicile
          isin: isin
        key:
          code: code
          market_identification_code: market_identification_code
          identifier_type: Derivitec
      properties:
        key:
          $ref: '#/components/schemas/InstrumentIdentifier'
        value:
          $ref: '#/components/schemas/StockInfo'
      type: object
    StockInfo:
      example:
        country: country
        x_ignite_option_code: x_ignite_option_code
        cusip: cusip
        cik: cik
        country_of_incorporation: country_of_incorporation
        country_of_risk: country_of_risk
        share_class: share_class
        edi_sec_id: edi_sec_id
        bbg_code: bbg_code
        is_listed_primary_issue: true
        reuters_issuer_org_id: reuters_issuer_org_id
        morning_star_industry: morning_star_industry
        morning_star_industry_group: morning_star_industry_group
        ric: ric
        option_metrics_security_id: option_metrics_security_id
        option_metrics_exchange_id: option_metrics_exchange_id
        edi_symbol: edi_symbol
        country_of_domicile: country_of_domicile
        currency: currency
        id: id
        x_ignite_option_file_code: x_ignite_option_file_code
        sector: sector
        region_of_incorporation: region_of_incorporation
        x_ignite_stock_code: x_ignite_stock_code
        voting_rights_per_share: 5.962133916683182
        market_identification_code: market_identification_code
        valoren: valoren
        asset_ratio_against: 0.8008281904610115
        consolidated_id: consolidated_id
        asset_ratio_for: 6.027456183070403
        suspended: true
        issuer_name: issuer_name
        issuer_id: issuer_id
        region_of_risk: region_of_risk
        stock_lag: 1
        name: name
        provider_id: provider_id
        region_of_domicile: region_of_domicile
        isin: isin
      properties:
        asset_ratio_against:
          format: double
          nullable: true
          type: number
        asset_ratio_for:
          format: double
          nullable: true
          type: number
        bbg_code:
          nullable: true
          type: string
        cik:
          nullable: true
          type: string
        consolidated_id:
          nullable: true
          type: string
        is_listed_primary_issue:
          type: boolean
        country:
          nullable: true
          type: string
        country_of_domicile:
          nullable: true
          type: string
        country_of_incorporation:
          nullable: true
          type: string
        country_of_risk:
          nullable: true
          type: string
        currency:
          nullable: true
          type: string
        cusip:
          nullable: true
          type: string
        id:
          minLength: 1
          type: string
        isin:
          nullable: true
          type: string
        issuer_id:
          nullable: true
          type: string
        issuer_name:
          nullable: true
          type: string
        market_identification_code:
          nullable: true
          type: string
        morning_star_industry:
          nullable: true
          type: string
        morning_star_industry_group:
          nullable: true
          type: string
        name:
          minLength: 1
          type: string
        reuters_issuer_org_id:
          nullable: true
          type: string
        ric:
          minLength: 1
          type: string
        region_of_domicile:
          nullable: true
          type: string
        region_of_incorporation:
          nullable: true
          type: string
        region_of_risk:
          nullable: true
          type: string
        sector:
          nullable: true
          type: string
        share_class:
          nullable: true
          type: string
        stock_lag:
          format: int32
          type: integer
        suspended:
          type: boolean
        valoren:
          nullable: true
          type: string
        voting_rights_per_share:
          format: double
          nullable: true
          type: number
        x_ignite_option_code:
          nullable: true
          type: string
        x_ignite_stock_code:
          nullable: true
          type: string
        x_ignite_option_file_code:
          nullable: true
          type: string
        option_metrics_security_id:
          nullable: true
          type: string
        option_metrics_exchange_id:
          nullable: true
          type: string
        edi_sec_id:
          nullable: true
          type: string
        edi_symbol:
          nullable: true
          type: string
        provider_id:
          nullable: true
          type: string
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.MarketData.StockInfo, Derivitec.Web.Core
      required:
        - $type
        - id
        - name
        - ric
      type: object
  securitySchemes:
    oauth2:
      description: >-
        OAuth2 access-token requested from AWS Cognito and provided as a Auth
        Bearer header
      flows:
        implicit:
          authorizationUrl: https://auth.riskportal.derivitec.com/oauth2/authorize
          scopes: {}
      type: oauth2
    apikey:
      description: API-Key requested via the site and provided as a header
      in: header
      name: x-api-key
      type: apiKey

````